# enum LLVM::DwarfTypeEncoding

## Defined in:

## Enum Members

Address = `1`
Boolean = `2`
ComplexFloat = `3`
Float = `4`
Signed = `5`
SignedChar = `6`
Unsigned = `7`
UnsignedChar = `8`
ImaginaryFloat = `9`
PackedDecimal = `10`
NumericString = `11`
Edited = `12`
SignedFixed = `13`
UnsignedFixed = `14`
DecimalFloat = `15`
Utf = `16`
LoUser = `128`
HiUser = `255`

## Instance Method Summary

- #address?
- #boolean?
- #complex_float?
- #decimal_float?
- #edited?
- #float?
- #hi_user?
- #imaginary_float?
- #lo_user?
- #numeric_string?
- #packed_decimal?
- #signed?
- #signed_char?
- #signed_fixed?
- #unsigned?
- #unsigned_char?
- #unsigned_fixed?
- #utf?

### Instance methods inherited from struct `Enum`

&(other : self) &, +(other : Int) +, -(other : Int) -, <=>(other : self) <=>, ==(other : self) ==, ^(other : self) ^, clone clone, each(&block) each, hash(hasher) hash, includes?(other : self) includes?, to_f32 : Float32 to_f32, to_f64 : Float64 to_f64, to_i : Int32 to_i, to_i16 : Int16 to_i16, to_i32 : Int32 to_i32, to_i64 : Int64 to_i64, to_i8 : Int8 to_i8, to_json(json : JSON::Builder) to_json, to_s(io : IO) : Nil
to_s : String to_s, to_u16 : UInt16 to_u16, to_u32 : UInt32 to_u32, to_u64 : UInt64 to_u64, to_u8 : UInt8 to_u8, to_yaml(yaml : YAML::Nodes::Builder) to_yaml, |(other : self) |, ~ ~

### Constructor methods inherited from struct `Enum`

from_value(value) : self from_value, from_value?(value) : self? from_value?, new(ctx : YAML::ParseContext, node : YAML::Nodes::Node)
new(pull : JSON::PullParser) new, parse(string) : self parse, parse?(string) : self? parse?

### Class methods inherited from struct `Enum`

each(&block) each, names : Array(String) names, values : Array(self) values

### Instance methods inherited from module `Comparable(Enum)`

<(other : T) <, <=(other : T) <=, <=>(other : T) <=>, ==(other : T) ==, >(other : T) >, >=(other : T) >=

### Instance methods inherited from struct `Value`

==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, class class, dup dup, hash(hasher)
hash hash, inspect(io : IO)
inspect inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&block) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s
to_s(io : IO) to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&block) try, unsafe_as(type : T.class) forall T unsafe_as

### Constructor methods inherited from class `Object`

from_json(string_or_io, root : String) : self
from_json(string_or_io) : self from_json, from_yaml(string_or_io : String | IO) : self from_yaml

## Instance Method Detail

def address? #
def boolean? #
def complex_float? #
def decimal_float? #
def edited? #
def float? #
def hi_user? #
def imaginary_float? #
def lo_user? #
def numeric_string? #
def packed_decimal? #
def signed? #
def signed_char? #
def signed_fixed? #
def unsigned? #
def unsigned_char? #
def unsigned_fixed? #
def utf? #